Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 3962 - Form does not display non-ascii characters
: Form does not display non-ascii characters
Status: VERIFIED DUPLICATE of bug 6262
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows 95
: P3 major (vote)
: M9
Assigned To: Kevin McCluskey (gone)
: Teruko Kobayashi
: Axel Hecht [:Pike]
Depends on:
Blocks: 7228
  Show dependency treegraph
Reported: 1999-03-18 11:23 PST by Teruko Kobayashi
Modified: 1999-06-23 15:49 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Description Teruko Kobayashi 1999-03-18 11:23:25 PST
Tested 3-17-99 Win32 build.

In the above page, the Japanese selection under the items (商品名) and the Japanese  buttons at the end of the page are not
displayed correctly.
Comment 1 Frank Tang 1999-03-19 17:54:59 PST
I believe this will be fix when our GFX base widget land (or I should say switch
to the GFX based widget).

Reassign this to Peter Trudelle since he own Toolkit. Peter, take your time to
land GFX based widget. Just remember this bug is depend on that.... (Make sure
you call the PRUnichar* or nsString based GetWidth/DrawString so it will render
Japanese correctly) :) Please close this bug after you land them.
Comment 2 Peter Trudelle 1999-03-19 18:13:59 PST
reassigning to evaughan, since the only widgets mentioned are buttons. p3 for
Comment 3 Eric Vaughan 1999-04-12 15:09:59 PDT
Apprunner now uses GFX widgets so it should render japanese. Can you confirm
this with the current build and close out this bug if is displays correctly?

You can also test with viewer is you turn GFX rendering on by selecting
tools->style->widget rendering mode->gfx from the menu. Then loading the page.

Comment 4 bobj 1999-04-16 16:42:59 PDT
I tried 1999-04-16-08 apprunner on US NT4.  After I hit reload, the drop-downs
and buttons display Latin1 garbage characters.  Elsewhere in the page, Japanese
displays correctly.

There is no viewer.exe in this day's zip file.
Comment 5 Teruko Kobayashi 1999-04-22 16:19:59 PDT
I tested the 4-20-99 build.  I got the same result as Bob mentioned.
Comment 6 Eric Vaughan 1999-04-26 17:13:59 PDT

Talked to Vidur and he said your the man for this. I guess you own DrawString. I
looked at my code and it seems to do everything right. Gets the string from the
attribute and draws it. Not sure why it doesn't work in japanese.
Comment 7 karnaze (gone) 1999-04-27 14:00:59 PDT
Moving to M6.
Comment 8 bobj 1999-06-15 00:37:59 PDT
Same as bug #4681?
Comment 9 bobj 1999-06-16 17:43:59 PDT
Should be fixed by Ender-based text widget.  See bug #6262.

*** This bug has been marked as a duplicate of 6262 ***
Comment 10 Teruko Kobayashi 1999-06-23 15:49:59 PDT
Verified as dup.

Note You need to log in before you can comment on or make changes to this bug.